OI Payments Docs
API ReferenceAdmin Apps

Rotate Credentials

POST
/api/v1/admin/apps/{id}/credentials/rotate

Path Parameters

id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X POST "https://example.com/api/v1/admin/apps/0/credentials/rotate" \  -H "Content-Type: application/json" \  -d '{    "mode": "TEST"  }'
{
  "data": {
    "credentialId": 0,
    "mode": "string",
    "apiKey": "string",
    "apiSecret": "string",
    "previousKeyExpiresAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}